path: /build/build/apcupsd-sys-power-3.14.14.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="cgi gnome modbus snmp usb" emerge sys-power/apcupsd -pv -t && \
    USE="cgi gnome modbus snmp usb" emerge -j ${JOBS} --nodeps sys-power/apcupsd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/apcupsd && luet-portage --dir /pkgdir/apcupsd
    sys-power/apcupsd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:423c84f89d8c06b7655d5a147e083eb3fa3f7cd3db081bce2f24667f05295200
  package:
    name: apcupsd
    version: 3.14.14
    category: sys-power
    use_flags:
    - cgi
    - gnome
    - modbus
    - snmp
    - usb
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: APC UPS daemon with integrated tcp/ip remote shutdown
    uri:
    - http://www.apcupsd.org/
    license: GPL-2
    buildtimestamp: 2023-10-25 16:24:41.185660876 +0000 UTC m=+129.706794696
    labels:
      DEPEND: '|| ( >=sys-apps/util-linux-2.23[tty-helpers(-)] sys-freebsd/freebsd-ubin
        ) modbus? ( usb? ( virtual/libusb:0 ) ) cgi? ( >=media-libs/gd-1.8.4 ) snmp?
        ( >=net-analyzer/net-snmp-5.7.2 ) gnome? ( >=x11-libs/gtk+-2.4.0:2 dev-libs/glib:2
        >=gnome-base/gconf-2.0 ) virtual/pkgconfig virtual/pkgconfig'
      IUSE: snmp +usb +modbus cgi gnome kernel_linux kernel_linux
      RDEPEND: '|| ( >=sys-apps/util-linux-2.23[tty-helpers(-)] sys-freebsd/freebsd-ubin
        ) modbus? ( usb? ( virtual/libusb:0 ) ) cgi? ( >=media-libs/gd-1.8.4 ) snmp?
        ( >=net-analyzer/net-snmp-5.7.2 ) gnome? ( >=x11-libs/gtk+-2.4.0:2 dev-libs/glib:2
        >=gnome-base/gconf-2.0 ) virtual/mailx'
      emerge.packages: sys-power/apcupsd
      kit: core-hw-kit
      original.package.name: sys-power/apcupsd
      original.package.slot: "0"
      original.package.version: 3.14.14-r2
    treedir: /build/packages
  package_dir: /pkgdir/apcupsd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8c80507150ce83deaf49578fdaab5eb28ba0e81cfdb126c695575fe0ac5d46e4
compressiontype: zstd
files:
- etc/apcupsd/apccontrol
- etc/apcupsd/apcupsd.conf
- etc/apcupsd/apcupsd.css
- etc/apcupsd/changeme
- etc/apcupsd/commfailure
- etc/apcupsd/commok
- etc/apcupsd/hosts.conf
- etc/apcupsd/multimon.conf
- etc/apcupsd/offbattery
- etc/apcupsd/onbattery
- etc/apcupsd/safe.apccontrol
- etc/init.d/apcupsd
- etc/init.d/apcupsd.powerfail
- lib/systemd/system/apcupsd.service
- lib/udev/rules.d/60-apcupsd.rules
- sbin/apcaccess
- sbin/apctest
- sbin/apcupsd
- sbin/smtp
- usr/bin/gapcmon
- usr/lib/tmpfiles.d/apcupsd-tmpfiles.conf
- usr/libexec/apcupsd/cgi-bin/multimon.cgi
- usr/libexec/apcupsd/cgi-bin/upsfstats.cgi
- usr/libexec/apcupsd/cgi-bin/upsimage.cgi
- usr/libexec/apcupsd/cgi-bin/upsstats.cgi
- usr/share/applications/gapcmon.desktop
- usr/share/doc/apcupsd-3.14.14-r2/ChangeLog.bz2
- usr/share/doc/apcupsd-3.14.14-r2/ReleaseNotes.bz2
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/Makefile
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/apcupsd.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/cables.rst
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/charging.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/commlost.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/main_configs.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/maintaining_ups.rst
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/manual.html
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/manual.rst
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/multimon.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/onbatt.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/online.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/publishdoc
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/smartprotocol.rst
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/status.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/thanks.png
- usr/share/doc/apcupsd-3.14.14-r2/html/manual/wininstall6.png
- usr/share/man/man5/apcupsd.conf.5.bz2
- usr/share/man/man8/apcaccess.8.bz2
- usr/share/man/man8/apccontrol.8.bz2
- usr/share/man/man8/apctest.8.bz2
- usr/share/man/man8/apcupsd.8.bz2
- usr/share/pixmaps/apcupsd.png
- usr/share/pixmaps/charging.png
- usr/share/pixmaps/gapc_prefs.png
- usr/share/pixmaps/onbatt.png
- usr/share/pixmaps/online.png
- usr/share/pixmaps/unplugged.png
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/BUILD_TIME
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/CATEGORY
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/CBUILD
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/CFLAGS
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/CHOST
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/CONTENTS
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/COUNTER
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/CXXFLAGS
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/DEFINED_PHASES
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/DEPEND
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/DESCRIPTION
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/EAPI
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/FEATURES
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/HOMEPAGE
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/INHERITED
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/IUSE
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/IUSE_EFFECTIVE
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/KEYWORDS
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/LDFLAGS
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/LICENSE
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/NEEDED
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/PF
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/RDEPEND
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/REQUIRES
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/SIZE
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/SLOT
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/USE
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/apcupsd-3.14.14-r2.ebuild
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/environment.bz2
- var/db/pkg/sys-power/apcupsd-3.14.14-r2/repository
package_cacheimage: ""
runtime:
  name: apcupsd
  version: 3.14.14
  category: sys-power
  use_flags:
  - cgi
  - gnome
  - modbus
  - snmp
  - usb
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: gconf
    version: '>=0'
    category: gnome-base-2
  - name: gd
    version: '>=0'
    category: media-libs-2
  - name: net-snmp
    version: '>=0'
    category: net-analyzer
  - name: util-linux
    version: '>=0'
    category: sys-apps
  - name: libusb
    version: '>=0'
    category: virtual-1
  - name: mailx
    version: '>=0'
    category: virtual
  - name: gtk+
    version: '>=0'
    category: x11-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: APC UPS daemon with integrated tcp/ip remote shutdown
  uri:
  - http://www.apcupsd.org/
  license: GPL-2
  labels:
    DEPEND: '|| ( >=sys-apps/util-linux-2.23[tty-helpers(-)] sys-freebsd/freebsd-ubin
      ) modbus? ( usb? ( virtual/libusb:0 ) ) cgi? ( >=media-libs/gd-1.8.4 ) snmp?
      ( >=net-analyzer/net-snmp-5.7.2 ) gnome? ( >=x11-libs/gtk+-2.4.0:2 dev-libs/glib:2
      >=gnome-base/gconf-2.0 ) virtual/pkgconfig virtual/pkgconfig'
    IUSE: snmp +usb +modbus cgi gnome kernel_linux kernel_linux
    RDEPEND: '|| ( >=sys-apps/util-linux-2.23[tty-helpers(-)] sys-freebsd/freebsd-ubin
      ) modbus? ( usb? ( virtual/libusb:0 ) ) cgi? ( >=media-libs/gd-1.8.4 ) snmp?
      ( >=net-analyzer/net-snmp-5.7.2 ) gnome? ( >=x11-libs/gtk+-2.4.0:2 dev-libs/glib:2
      >=gnome-base/gconf-2.0 ) virtual/mailx'
    emerge.packages: sys-power/apcupsd
    kit: core-hw-kit
    original.package.name: sys-power/apcupsd
    original.package.slot: "0"
    original.package.version: 3.14.14-r2
